.NET

Reply
Member
xuyong_shy
Posts: 3
Registered: ‎06-23-2006
Message 1 of 7 (915 Views)

How to connect to ObjectDBX in VB.net

915 Views, 6 Replies
06-23-2006 07:03 AM
In vba,the follow code is right,and i can connect to ObjectDBX
CODE:
Dim objDBX As AxDbDocument
set objDBX=CreateObject("ObjectDBX.AxDbDocument.16")

in VB6.0,the follow code is right,and i can connect bo ObjectDBX,too
CODE:
dim objDbx As AxDbDocument
Set objDbx = GetInterfaceObject("ObjectDBX.AxDbDocument.16")

but in VB.net,I can't connect to ObjectDBX,the next codes don't work and get unexcepted err.
CODE:
Imports Autodesk.AutoCAD.Interop.Common
Imports Autodesk.AutoCAD.Interop
Dim objDBX As AxDbDocument
objDBX=CreateObject("ObjectDBX.AxDbDocument.16")

and in VB.net the function(getinterfaceobject) doesn't exit,
so please tell me how can i connet to objectDBX.
Thank you for your help!
Member
xuyong_shy
Posts: 3
Registered: ‎06-23-2006
Message 2 of 7 (915 Views)

Re: How to connect to ObjectDBX in VB.net

06-24-2006 04:49 AM in reply to: xuyong_shy
I came here with full hope,but nobody give me reply,Please help me.
*Ed Jobe
Message 3 of 7 (915 Views)

Re: How to connect to ObjectDBX in VB.net

06-26-2006 07:32 AM in reply to: xuyong_shy
Have you tried looking for it yourself. You can search the ng for
"objectdbx" and you will find some code.

--
----
Ed
----
Valued Contributor
smcclure
Posts: 60
Registered: ‎06-08-2006
Message 4 of 7 (915 Views)

Re: How to connect to ObjectDBX in VB.net

06-26-2006 12:29 PM in reply to: xuyong_shy
To get the AcadApplication object, call Application.AcadApplication. To get a document, call Document.AcadDocument. To define a new (and empty) variable to store the document, write Dim acadDoc as AcadDocument.

Note that you cannot create a document out of thin air. Try using Application.AcadDocument.Documents.Open if you wish to open a document in MDI mode.

- Scott
*Tony Tanzillo
Message 5 of 7 (915 Views)

Re: How to connect to ObjectDBX in VB.net

06-26-2006 04:52 PM in reply to: xuyong_shy
If your VB.NET code is not loaded into AutoCAD, you must
use ActiveX to access ObjectDBX using the GetInterfaceObject
method of the AcadApplication object.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

wrote in message news:5217758@discussion.autodesk.com...
I came here with full hope,but nobody give me reply,Please help me.
Valued Contributor
NikolayPoleshchuk
Posts: 60
Registered: ‎06-27-2006
Message 6 of 7 (915 Views)

Re: How to connect to ObjectDBX in VB.net

06-27-2006 09:33 AM in reply to: xuyong_shy
Try the code:
'
Imports Autodesk.AutoCAD.Interop
Imports Autodesk.AutoCAD.Interop.Common

Public Class Form1
Inherits System.Windows.Forms.Form

#Region " Windows Form Designer generated code "

Public Sub New()
MyBase.New()

'This call is required by the Windows Form Designer.
InitializeComponent()

'Add any initialization after the InitializeComponent() call

End Sub

'Form overrides dispose to clean up the component list.
Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
If disposing Then
If Not (components Is Nothing) Then
components.Dispose()
End If
End If
MyBase.Dispose(disposing)
End Sub

'Required by the Windows Form Designer
Private components As System.ComponentModel.IContainer

'NOTE: The following procedure is required by the Windows Form Designer
'It can be modified using the Windows Form Designer.
'Do not modify it using the code editor.
Friend WithEvents Button1 As System.Windows.Forms.Button
Private Sub InitializeComponent()
Me.Button1 = New System.Windows.Forms.Button()
Me.SuspendLayout()
'
'Button1
'
Me.Button1.Location = New System.Drawing.Point(104, 104)
Me.Button1.Name = "Button1"
Me.Button1.TabIndex = 0
Me.Button1.Text = "Button1"
'
'Form1
'
Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
Me.ClientSize = New System.Drawing.Size(292, 273)
Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.Button1})
Me.Name = "Form1"
Me.Text = "Form1"
Me.ResumeLayout(False)

End Sub

#End Region

Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
AcadAccess()
End Sub

Public Sub AcadAccess()
On Error Resume Next
Dim AcadApp As AcadApplication
Dim ActDoc As AcadDocument

' Check for working AutoCAD
AcadApp = GetObject(, "AutoCAD.Application.16.2")
If Err.Number <> 0 Then
Err.Clear()
AcadApp = CreateObject("AutoCAD.Application.16.2")
End If
'Visibility
AcadApp.Visible = True
' Active Drawing
ActDoc = AcadApp.ActiveDocument

Dim lineObj As AcadLine
' Points
Dim StartPoint(2) As Double
Dim EndPoint(2) As Double
StartPoint(0) = 1.0#
StartPoint(1) = 1.0#
StartPoint(2) = 0.0#
EndPoint(0) = 250.0#
EndPoint(1) = 250.0#
EndPoint(2) = 50.0#

' Line
lineObj = ActDoc.ModelSpace.AddLine(StartPoint, EndPoint)

End Sub

End Class

' http://poleshchuk.spb.ru/cad/eng
Nikolay Poleshchuk
http://poleshchuk.spb.ru/cad/eng.html
Valued Contributor
NikolayPoleshchuk
Posts: 60
Registered: ‎06-27-2006
Message 7 of 7 (915 Views)

Re: How to connect to ObjectDBX in VB.net

06-27-2006 09:41 AM in reply to: xuyong_shy
And similar code with AxDbDocument:
Imports Autodesk.AutoCAD.Interop
Imports Autodesk.AutoCAD.Interop.Common

Public Class Form1
Inherits System.Windows.Forms.Form
#Region " Windows Form Designer generated code "

Public Sub New()
MyBase.New()
'This call is required by the Windows Form Designer.
InitializeComponent()
'Add any initialization after the InitializeComponent() call
End Sub

'Form overrides dispose to clean up the component list.
Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
If disposing Then
If Not (components Is Nothing) Then
components.Dispose()
End If
End If
MyBase.Dispose(disposing)
End Sub

'Required by the Windows Form Designer
Private components As System.ComponentModel.IContainer

'NOTE: The following procedure is required by the Windows Form Designer
'It can be modified using the Windows Form Designer.
'Do not modify it using the code editor.
Friend WithEvents Button1 As System.Windows.Forms.Button
_
Private Sub InitializeComponent()
Me.Button1 = New System.Windows.Forms.Button()
Me.SuspendLayout()
'
'Button1
'
Me.Button1.Location = New System.Drawing.Point(112, 112)
Me.Button1.Name = "Button1"
Me.Button1.TabIndex = 0
Me.Button1.Text = "Button1"
'
'Form1
'
Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
Me.ClientSize = New System.Drawing.Size(292, 273)
Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.Button1})
Me.Name = "Form1"
Me.Text = "Form1"
Me.ResumeLayout(False)
End Sub
#End Region

Private Sub Button1_Click(ByVal sender As System.Object, _
ByVal e As System.EventArgs) Handles Button1.Click
UseObjectDBX()
End Sub

Private Sub UseObjectDBX()
On Error Resume Next
Dim AcadApp As AcadApplication
Dim dbxDoc As AxDbDocument
' Check for AutoCAD
AcadApp = GetObject(, "AutoCAD.Application.16.2")
If Err.Number <> 0 Then
Err.Clear()
AcadApp = CreateObject("AutoCAD.Application.16.2")
End If
' AvDbDocument
dbxDoc = AcadApp.GetInterfaceObject("ObjectDBX.AxDbDocument.16")
' Opening Temp1.dwg
Dim dwgName As String = "D:\Temp\Temp1.dwg"
dbxDoc.Open(dwgName)
' Blocks collection
Dim str As String = ""
Dim blks As AcadBlocks
blks = dbxDoc.Blocks
MsgBox(CStr(blks.Count), MsgBoxStyle.Information, _
"Number of blocks")
Dim bk As AcadBlock
For Each bk In blks
str += bk.Name & Chr(13)
Next
MsgBox(str, MsgBoxStyle.Information, "Blocks")
' Model Space
Dim msp As AcadModelSpace
msp = dbxDoc.ModelSpace
MsgBox(CStr(msp.Count), MsgBoxStyle.Information, _
"Number of entities in model")
AcadApp.Quit();
End Sub
End Class
Nikolay Poleshchuk
http://poleshchuk.spb.ru/cad/eng.html
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.